Автор Тема: Не обновляется ядро  (Прочитано 1743 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Ellissar

  • Новичок форума
  • Сообщений: 6
Не обновляется ядро
« : 09 Мая 2019, 10:54:52 »
Всем привет!
При выполнении команды apt-get upgrade
Получаю следующее сообщение:
Spoiler: ShowHide
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Расчёт обновлений…Готово
Пакеты, которые будут оставлены в неизменном виде:
  alsa-utils aptitude aptitude-common build-essential cpp dbus
  dictionaries-common firmware-ralink g++ galculator gcc gcr gnome-keyring
  gnome-mplayer gpicview gvfs gvfs-backends gvfs-common gvfs-daemons gvfs-libs
  iputils-ping isc-dhcp-client isc-dhcp-common leafpad libasound2 libcairo2
  libcanberra-gtk3-0 libcurl3-gnutls libdrm-dev libdrm-omap1 libdrm-radeon1
  libdrm2 libegl1-mesa libfm-data libgail18 libgbm1 libgcr-3-1
  libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgl1-mesa-dri libgl1-mesa-glx
  libglade2-0 libglapi-mesa libgles2-mesa libgpod4 libgtk-3-0 libgtk-3-bin
  libgtk-3-common libgtk2.0-0 libimlib2 libjack-jackd2-0 libjasper1
  libjavascriptcoregtk-1.0-0 libmng1 libnautilus-extension1a libpam-modules
  libpam-modules-bin libpam0g libpango1.0-0 libqt4-network libqt4-xml
  libqtcore4 libqtdbus4 libqtgui4 librsvg2-2 librsvg2-common libsdl-image1.2
  libsemanage-common libsemanage1 libsmbclient libunique-1.0-0 libv4l-0
  libv4lconvert0 libvlc5 libvncserver0 libwebkitgtk-1.0-0 libwnck22 login
  lxappearance lxde lxinput lxpanel lxrandr lxsession lxterminal m4 mesa-utils
  mplayer2 obconf openbox openssh-client openssh-server passwd pcmanfm rsyslog
  smplayer ssh sudo synaptic sysvinit tcl tcl8.5 tk tk8.5 udisks
  usb-modeswitch usb-modeswitch-data usbmuxd vlc vlc-data vlc-nox wget x11vnc
  x11vnc-data xarchiver xscreensaver xscreensaver-data
Пакеты, которые будут обновлены:
  udev
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 117 пакетов не обновлено.
Необходимо скачать 0 B/854 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 4 981 kB.
Хотите продолжить? [Д/н] y
Предварительная настройка пакетов ...
(Чтение базы данных … на данный момент установлено 63329 файлов и каталогов.)
Подготовка к распаковке …/udev_215-17+deb8u13_armhf.deb …
Since release 198, udev requires support for the following features in
the running kernel:

- inotify(2)            (CONFIG_INOTIFY_USER)
- signalfd(2)           (CONFIG_SIGNALFD)
- accept4(2)
- open_by_handle_at(2)  (CONFIG_FHANDLE)
- timerfd_create(2)     (CONFIG_TIMERFD)
- epoll_create(2)       (CONFIG_EPOLL)

Please upgrade your kernel before or while upgrading udev.

AT YOUR OWN RISK, you can force the installation of this version of udev
WHICH DOES NOT WORK WITH YOUR RUNNING KERNEL AND WILL BREAK YOUR SYSTEM
AT THE NEXT REBOOT by creating the /etc/udev/kernel-upgrade file.
There is always a safer way to upgrade, do not try this unless you
understand what you are doing!


dpkg: ошибка при обработке архива /var/cache/apt/archives/udev_215-17+deb8u13_armhf.deb (--unpack):
 подпроцесс новый сценарий pre-installation возвратил код ошибки 1
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/udev_215-17+deb8u13_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Как я понял необходимо обновить ядро.
Информация об установленной системе: root@a10Lime:~# uname -a
Linux a10Lime 3.4.90+ #3 PREEMPT Tue Jun 10 09:17:04 EEST 2014 armv7l GNU/Linux

Выполняю:root@a10Lime:~# apt update
Spoiler: ShowHide
В кэше http://security.debian.org jessie/updates InRelease
Игн http://deb.debian.org jessie InRelease
В кэше http://security.debian.org jessie/updates/main Sources
В кэше http://deb.debian.org jessie Release.gpg
В кэше http://security.debian.org jessie/updates/contrib Sources
В кэше http://security.debian.org jessie/updates/non-free Sources
В кэше http://security.debian.org jessie/updates/main armhf Packages
В кэше http://deb.debian.org jessie Release
В кэше http://security.debian.org jessie/updates/contrib armhf Packages
В кэше http://security.debian.org jessie/updates/non-free armhf Packages
В кэше http://security.debian.org jessie/updates/contrib Translation-en
В кэше http://security.debian.org jessie/updates/main Translation-en
В кэше http://security.debian.org jessie/updates/non-free Translation-en
В кэше http://deb.debian.org jessie/main Sources
В кэше http://deb.debian.org jessie/contrib Sources
В кэше http://deb.debian.org jessie/non-free Sources
В кэше http://deb.debian.org jessie/main armhf Packages
В кэше http://deb.debian.org jessie/contrib armhf Packages
В кэше http://deb.debian.org jessie/non-free armhf Packages
В кэше http://deb.debian.org jessie/contrib Translation-en
В кэше http://deb.debian.org jessie/main Translation-ru
В кэше http://deb.debian.org jessie/main Translation-en
В кэше http://deb.debian.org jessie/non-free Translation-en
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
118 packages can be upgraded. Run 'apt list --upgradable' to see them.


Выполняю поиск доступных ядер:root@a10Lime:~# apt search linux-image
Spoiler: ShowHide
Sorting… Готово
Full Text Search… Готово
linux-headers-3.16.0-4-armmp/oldstable,now 3.16.43-2+deb8u5 armhf [installed]
  Header files for Linux 3.16.0-4-armmp

linux-headers-3.16.0-4-armmp-lpae/oldstable 3.16.43-2+deb8u5 armhf
  Header files for Linux 3.16.0-4-armmp-lpae

linux-headers-3.16.0-5-armmp/oldstable 3.16.51-3+deb8u1 armhf
  Header files for Linux 3.16.0-5-armmp

linux-headers-3.16.0-5-armmp-lpae/oldstable 3.16.51-3+deb8u1 armhf
  Header files for Linux 3.16.0-5-armmp-lpae

linux-headers-3.16.0-6-armmp/oldstable,now 3.16.57-2 armhf [installed]
  Header files for Linux 3.16.0-6-armmp

linux-headers-3.16.0-6-armmp-lpae/oldstable 3.16.57-2 armhf
  Header files for Linux 3.16.0-6-armmp-lpae

linux-headers-3.16.0-7-armmp/oldstable 3.16.59-1 armhf
  Header files for Linux 3.16.0-7-armmp

linux-headers-3.16.0-7-armmp-lpae/oldstable 3.16.59-1 armhf
  Header files for Linux 3.16.0-7-armmp-lpae

linux-headers-3.16.0-8-armmp/oldstable 3.16.64-2 armhf
  Header files for Linux 3.16.0-8-armmp

linux-headers-3.16.0-8-armmp-lpae/oldstable 3.16.64-2 armhf
  Header files for Linux 3.16.0-8-armmp-lpae

linux-headers-4.9.0-0.bpo.7-armmp/oldstable 4.9.110-3+deb9u2~deb8u1 armhf
  Header files for Linux 4.9.0-0.bpo.7-armmp

linux-headers-4.9.0-0.bpo.7-armmp-lpae/oldstable 4.9.110-3+deb9u2~deb8u1 armhf
  Header files for Linux 4.9.0-0.bpo.7-armmp-lpae

linux-headers-4.9.0-0.bpo.8-armmp/oldstable 4.9.144-3.1~deb8u1 armhf
  Header files for Linux 4.9.0-0.bpo.8-armmp

linux-headers-4.9.0-0.bpo.8-armmp-lpae/oldstable 4.9.144-3.1~deb8u1 armhf
  Header files for Linux 4.9.0-0.bpo.8-armmp-lpae

linux-headers-4.9.0-0.bpo.9-armmp/oldstable 4.9.168-1~deb8u1 armhf
  Header files for Linux 4.9.0-0.bpo.9-armmp

linux-headers-4.9.0-0.bpo.9-armmp-lpae/oldstable 4.9.168-1~deb8u1 armhf
  Header files for Linux 4.9.0-0.bpo.9-armmp-lpae

linux-image-3.16.0-4-armmp/oldstable 3.16.43-2+deb8u5 armhf
  Linux 3.16 for ARMv7 multiplatform compatible SoCs

linux-image-3.16.0-4-armmp-lpae/oldstable 3.16.43-2+deb8u5 armhf
  Linux 3.16 for ARMv7 multiplatform compatible SoCs supporting LPAE

linux-image-3.16.0-5-armmp/oldstable 3.16.51-3+deb8u1 armhf
  Linux 3.16 for ARMv7 multiplatform compatible SoCs

linux-image-3.16.0-5-armmp-lpae/oldstable 3.16.51-3+deb8u1 armhf
  Linux 3.16 for ARMv7 multiplatform compatible SoCs supporting LPAE

linux-image-3.16.0-6-armmp/oldstable 3.16.57-2 armhf
  Linux 3.16 for ARMv7 multiplatform compatible SoCs

linux-image-3.16.0-6-armmp-lpae/oldstable 3.16.57-2 armhf
  Linux 3.16 for ARMv7 multiplatform compatible SoCs supporting LPAE

linux-image-3.16.0-7-armmp/oldstable 3.16.59-1 armhf
  Linux 3.16 for ARMv7 multiplatform compatible SoCs

linux-image-3.16.0-7-armmp-lpae/oldstable 3.16.59-1 armhf
  Linux 3.16 for ARMv7 multiplatform compatible SoCs supporting LPAE

linux-image-3.16.0-8-armmp/oldstable 3.16.64-2 armhf
  Linux 3.16 for ARMv7 multiplatform compatible SoCs

linux-image-3.16.0-8-armmp-lpae/oldstable 3.16.64-2 armhf
  Linux 3.16 for ARMv7 multiplatform compatible SoCs supporting LPAE

linux-image-4.9-armmp/oldstable 4.9+80+deb9u7~deb8u1 armhf
  Linux for ARMv7 multiplatform compatible SoCs (meta-package)

linux-image-4.9-armmp-lpae/oldstable 4.9+80+deb9u7~deb8u1 armhf
  Linux for ARMv7 multiplatform compatible SoCs supporting LPAE (meta-package)

linux-image-4.9.0-0.bpo.7-armmp/oldstable 4.9.110-3+deb9u2~deb8u1 armhf
  Linux 4.9 for ARMv7 multiplatform compatible SoCs

linux-image-4.9.0-0.bpo.7-armmp-lpae/oldstable 4.9.110-3+deb9u2~deb8u1 armhf
  Linux 4.9 for ARMv7 multiplatform compatible SoCs supporting LPAE

linux-image-4.9.0-0.bpo.8-armmp/oldstable 4.9.144-3.1~deb8u1 armhf
  Linux 4.9 for ARMv7 multiplatform compatible SoCs

linux-image-4.9.0-0.bpo.8-armmp-lpae/oldstable 4.9.144-3.1~deb8u1 armhf
  Linux 4.9 for ARMv7 multiplatform compatible SoCs supporting LPAE

linux-image-4.9.0-0.bpo.9-armmp/oldstable 4.9.168-1~deb8u1 armhf
  Linux 4.9 for ARMv7 multiplatform compatible SoCs

linux-image-4.9.0-0.bpo.9-armmp-lpae/oldstable 4.9.168-1~deb8u1 armhf
  Linux 4.9 for ARMv7 multiplatform compatible SoCs supporting LPAE

linux-image-armmp/oldstable 3.16+63+deb8u4 armhf
  Linux for ARMv7 multiplatform compatible SoCs (meta-package)

linux-image-armmp-lpae/oldstable 3.16+63+deb8u4 armhf
  Linux for ARMv7 multiplatform compatible SoCs supporting LPAE (meta-package)


Выбрал ядро для установки и установил:root@a10Lime:~# apt install linux-headers-4.9.0-0.bpo.7-armmp
Spoiler: ShowHide
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Будут установлены следующие дополнительные пакеты:
  cpp-4.9 gcc-4.9 libasan1 libgcc-4.9-dev libubsan0 linux-compiler-gcc-4.9-arm
  linux-headers-4.9.0-0.bpo.7-common linux-kbuild-4.9
Предлагаемые пакеты:
  gcc-4.9-locales gcc-4.9-doc libgcc1-dbg libgomp1-dbg libitm1-dbg
  libatomic1-dbg libasan1-dbg liblsan0-dbg libtsan0-dbg libubsan0-dbg
  libcilkrts5-dbg libquadmath-dbg
НОВЫЕ пакеты, которые будут установлены:
  cpp-4.9 gcc-4.9 libasan1 libgcc-4.9-dev libubsan0 linux-compiler-gcc-4.9-arm
  linux-headers-4.9.0-0.bpo.7-armmp linux-headers-4.9.0-0.bpo.7-common
  linux-kbuild-4.9
обновлено 0, установлено 9 новых пакетов, для удаления отмечено 0 пакетов, и 118 пакетов не обновлено.
Необходимо скачать 18,7 MБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 74,0 MB.
Хотите продолжить? [Д/н] y
Получено:1 http://security.debian.org/ jessie/updates/main libasan1 armhf 4.9.2-10+deb8u2 [168 kB]
Получено:2 http://security.debian.org/ jessie/updates/main libubsan0 armhf 4.9.2-10+deb8u2 [69,6 kB]
Получено:3 http://security.debian.org/ jessie/updates/main cpp-4.9 armhf 4.9.2-10+deb8u2 [4 219 kB]
Получено:4 http://security.debian.org/ jessie/updates/main libgcc-4.9-dev armhf 4.9.2-10+deb8u2
Получено:5 http://security.debian.org/ jessie/updates/main gcc-4.9 armhf 4.9.2-10+deb8u2 [4 420 kB]
Получено:6 http://security.debian.org/ jessie/updates/main linux-compiler-gcc-4.9-arm armhf 4.9.168-1~deb8u1 [631 kB]
Получено:7 http://security.debian.org/ jessie/updates/main linux-headers-4.9.0-0.bpo.7-common all 4.9.110-3+deb9u2~deb8u1 [7 598 kB]
Получено:8 http://security.debian.org/ jessie/updates/main linux-kbuild-4.9 armhf 4.9.168-1~deb8u1 [811 kB]
Получено:9 http://security.debian.org/ jessie/updates/main linux-headers-4.9.0-0.bpo.7-armmp armhf 4.9.110-3+deb9u2~deb8u1 [428 kB]
Получено 18,7 MБ за 1мин 18с (239 kБ/c)


Перезагружаюсь. Снова проверяю версию ядра:root@a10Lime:~# uname -a
Linux a10Lime 3.4.90+ #3 PREEMPT Tue Jun 10 09:17:04 EEST 2014 armv7l GNU/Linux

Ничего не поменялось.
Проверяю какие ядра установлены а там пусто:root@a10Lime:~# dpkg --get-selections|grep linux-image
root@a10Lime:~#

root@a10Lime:~# dmesg | egrep -i --color 'errors|critical|failed'
[    0.412271] alg: comp: Compression test 1 failed for lzo-generic: output len = 57
[    2.578631] axp20_ldo2: Failed to create debugfs directory
[    2.968019] axp20_buck2: Failed to create debugfs directory
[    4.196527] [ccmu] set sdc0 reset status to 0 failed!
[    4.205346] [mmc-err] Failed to release sdc0 reset
[   12.850894] ERR: script_parser_fetch usb_controller_type failed
[   13.517790] [SCAN_ERR] search nand physical architecture parameter failed!

Я новичок в линукс и не понимаю в чём может быть проблема. Пробовал ставить несколько разных версий ядер и ни одно не устанавливается.
Использую A10-OLinuXino-LIME с флешкой на 4Гб. Пустого места на флешке остаётся больше 1Гб.
Подскажите как корректно обновить ядро?
 

Оффлайн qupl

Re: Не обновляется ядро
« Ответ #1 : 09 Мая 2019, 11:08:48 »
linux-headers-*  - это не само ядро , а только заголовочные файлы для сборки.  Вы же изначально искали linux-image-* его и нужно установить.

Оффлайн Ellissar

  • Новичок форума
  • Сообщений: 6
Re: Не обновляется ядро
« Ответ #2 : 09 Мая 2019, 12:32:09 »
Установил ядро:
apt install linux-image-4.9-armmp
Перезагрузился. Проверяю версию и версия не изменилась.
root@a10Lime:/home/olimex# uname -a
Linux a10Lime 3.4.90+ #3 PREEMPT Tue Jun 10 09:17:04 EEST 2014 armv7l GNU/Linux

root@a10Lime:/home/olimex# cat /etc/debian_version
8.11

root@a10Lime:/home/olimex# dpkg --get-selections|grep linux-image
linux-image-4.9-armmp                           install
linux-image-4.9.0-0.bpo.9-armmp                 install

root@a10Lime:/home/olimex# dmesg | egrep -i --color 'errors|critical|failed'
[    0.412242] alg: comp: Compression test 1 failed for lzo-generic: output len = 57
[    2.578623] axp20_ldo2: Failed to create debugfs directory
[    2.968001] axp20_buck2: Failed to create debugfs directory
[    4.196521] [ccmu] set sdc0 reset status to 0 failed!
[    4.205341] [mmc-err] Failed to release sdc0 reset
[   13.402447] ERR: script_parser_fetch usb_controller_type failed
[   14.024907] [SCAN_ERR] search nand physical architecture parameter failed!

Вот содержание файла /etc/apt/sources.list :
deb http://deb.debian.org/debian/ jessie main contrib non-free
deb-src http://deb.debian.org/debian/ jessie main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free
deb-src http://security.debian.org/ jessie/updates main contrib non-free

Что ещё необходимо сделать?
« Последнее редактирование: 09 Мая 2019, 12:36:13 от Ellissar »
 

Оффлайн ferum

Re: Не обновляется ядро
« Ответ #3 : 09 Мая 2019, 14:01:29 »
Подскажите как корректно обновить ядро?
В вашем случае перейти на актуальный современный дистрибутив. По скольку вы спрашиваете на debianforum  я бы порекомендовал debian 10 buster, как новичку сборку с включёнными несвободными компонентами https://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/buster_di_rc1-live+nonfree/ сейчас он на стадии rc1 но в мае должен зарелизиться. Я использую с нового года без проблем хотя полная заморозка была с 12 марта. Выберите образ с нужным вам окружением рабочего стола и вперёд на винные склады...  :)
Русские дебианщики против цифрового слабоумия !
 

Оффлайн Ellissar

  • Новичок форума
  • Сообщений: 6
Re: Не обновляется ядро
« Ответ #4 : 09 Мая 2019, 14:44:45 »
Наверное я что-то не понимаю, но не нашел там образов для ARMv7.
 

Оффлайн ferum

Re: Не обновляется ядро
« Ответ #5 : 09 Мая 2019, 15:33:31 »
Пардон, не понял что речь идёт о экзотическом оборудовании. На сколько я понимаю вся его поддержка очень ограничена по времени а то что есть сделано через задний проход https://www.digikey.com/eewiki/display/linuxonarm/A10-OLinuXino-LIME
Да и ваш вопрос к debian не имеет отношения.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн Ellissar

  • Новичок форума
  • Сообщений: 6
Re: Не обновляется ядро
« Ответ #6 : 09 Мая 2019, 16:47:24 »
Спасибо за ссылку. Буду изучать.
 

Теги:
     

    Система не обновляется до jessie

    Автор wwnet

    Ответов: 16
    Просмотров: 3681
    Последний ответ 06 Апреля 2017, 20:12:18
    от ecc83